<section class="main-container">
    <section class="action-btn">
        <app-logout-btn class="logout-btn"></app-logout-btn>
    </section>
<section class="doctorList-container">
    <app-doctor-nav-bar></app-doctor-nav-bar>

    <div class="doctor-table"> 
        <h1>My Requests</h1>
     
            <div class="doctor-table mat-elevation-z8"> 
                <mat-table #table  [dataSource]="dataSource" class="table">
    
                 <ng-container matColumnDef="requests">
                     <mat-header-cell *matHeaderCellDef> Generated At </mat-header-cell>
                     <mat-cell *matCellDef="let element"> {{element.createdAt}} </mat-cell>
                 </ng-container>   
    
                <ng-container matColumnDef="status">
                    <mat-header-cell *matHeaderCellDef> Status </mat-header-cell>
                    <mat-cell *matCellDef="let element"> {{element.title}} </mat-cell>
                </ng-container>

                <ng-container matColumnDef="reminder">
                    <mat-header-cell *matHeaderCellDef> Send Reminder </mat-header-cell>
                    <mat-cell *matCellDef="let element"> <app-button (click)="sendReminder()">Remind</app-button> </mat-cell>
                </ng-container>

                   <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
                   <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
                 </mat-table>
                 <mat-paginator #paginator
                              [pageSize]="5"
                              [pageSizeOptions]="[5, 10, 20]">
               </mat-paginator>
             </div>
    </div>
</section>
</section>

